Package owl.automaton.acceptance

## Class BooleanExpressions

- java.lang.Object
- - owl.automaton.acceptance.BooleanExpressions

-     public final class BooleanExpressions
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T>` | `createConjunction​(Iterable<jhoafparser.ast.BooleanExpression<T>> conjuncts)` |
    `static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T>` | `createConjunction​(Iterator<jhoafparser.ast.BooleanExpression<T>> conjuncts)` |
    `static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T>` | `createConjunction​(Stream<jhoafparser.ast.BooleanExpression<T>> conjuncts)` |
    `static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T>` | `createDisjunction​(Iterable<jhoafparser.ast.BooleanExpression<T>> disjuncts)` |
    `static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T>` | `createDisjunction​(Iterator<jhoafparser.ast.BooleanExpression<T>> disjuncts)` |
    `static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T>` | `createDisjunction​(Stream<jhoafparser.ast.BooleanExpression<T>> disjuncts)` |
    `static jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance>` | `mkFin​(int number)` |
    `static jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance>` | `mkInf​(int number)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createConjunction

          public static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T> createConjunction​(Iterable<jhoafparser.ast.BooleanExpression<T>> conjuncts)

    - #### createConjunction

          public static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T> createConjunction​(Stream<jhoafparser.ast.BooleanExpression<T>> conjuncts)

    - #### createConjunction

          public static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T> createConjunction​(Iterator<jhoafparser.ast.BooleanExpression<T>> conjuncts)

    - #### createDisjunction

          public static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T> createDisjunction​(Iterable<jhoafparser.ast.BooleanExpression<T>> disjuncts)

    - #### createDisjunction

          public static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T> createDisjunction​(Stream<jhoafparser.ast.BooleanExpression<T>> disjuncts)

    - #### createDisjunction

          public static <T extends jhoafparser.ast.Atom> jhoafparser.ast.BooleanExpression<T> createDisjunction​(Iterator<jhoafparser.ast.BooleanExpression<T>> disjuncts)

    - #### mkFin

          public static jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance> mkFin​(int number)

    - #### mkInf

          public static jhoafparser.ast.BooleanExpression<jhoafparser.ast.AtomAcceptance> mkInf​(int number)